Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class TableProperties

    java.lang.Object
      org.apache.poi.hwpf.model.types.TAPAbstractType
          org.apache.poi.hwpf.usermodel.TableProperties

All Implemented Interfaces:
  java.lang.Cloneable, org.apache.poi.hdf.model.hdftypes.HDFType

    public final class TableProperties

extends TAPAbstractType
implements java.lang.Cloneable

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.types.TAPAbstractType
`field_1_jc, field_10_rgshd, field_11_brcBottom, field_12_brcTop, field_13_brcLeft, field_14_brcRight, field_15_brcVertical, field_16_brcHorizontal, field_2_dxaGapHalf, field_3_dyaRowHeight, field_4_fCantSplit, field_5_fTableHeader, field_6_tlp, field_7_itcMac, field_8_rgdxaCenter, field_9_rgtc`

Constructor Summary
`TableProperties()`
`TableProperties(int columns)`

Method Summary
`java.lang.Object` | `clone()`

Methods inherited from class org.apache.poi.hwpf.model.types.TAPAbstractType
`getBrcBottom, getBrcHorizontal, getBrcLeft, getBrcRight, getBrcTop, getBrcVertical, getDxaGapHalf, getDyaRowHeight, getFCantSplit, getFTableHeader, getItcMac, getJc, getRgdxaCenter, getRgshd, getRgtc, getSize, getTlp, setBrcBottom, setBrcHorizontal, setBrcLeft, setBrcRight, setBrcTop, setBrcVertical, setDxaGapHalf, setDyaRowHeight, setFCantSplit, setFTableHeader, setItcMac, setJc, setRgdxaCenter, setRgshd, setRgtc, setTlp`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableProperties

    public TableProperties()

### TableProperties

    public TableProperties(int columns)

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.